"use strict";
const EXPORTED_SYMBOLS = ["core", "resources"];
const Cc = Components.classes;
const Ci = Components.interfaces;
const Cr = Components.results;
const Cu = Components.utils;
const resources = {
browser: {
styles: ["/native/fx/textonly/textonly.css"],
urlBarItems: {
button: 10000}}};
const core = {
api: null,
init: function TextOnly_init(api) {
this.api = api;
}
,
initURLBarItem: function TextOnly_initURLBarItem(itemElement, itemClass) {
return new URLBarItem(itemElement, itemClass, this);
}
};
function URLBarItem(itemElement, itemClass, module) {
itemElement.module = module;
itemElement.setAttribute("yb-native-widget-name","http://bar.yandex.ru/packages/yandexbar#textonly");
}

;
URLBarItem.prototype = {
finalize: function TextOnlyUBItem_finalize() {

}
};
